> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Prompt

> Create a new prompt



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/prompt
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/prompt:
    post:
      tags:
        - Prompt
      summary: Create Prompt
      description: Create a new prompt
      operationId: create_prompt_api_v1_prompt_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IPromptCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IPromptRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IPromptCreate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template
        owner_type:
          anyOf:
            - $ref: '#/components/schemas/IOwnerType'
            - type: 'null'
      type: object
      title: IPromptCreate
    IPostResponseBase_IPromptRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IPromptRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[IPromptRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IOwnerType:
      type: string
      enum:
        - user
        - system
      title: IOwnerType
    IPromptRead:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template
        owner_type:
          anyOf:
            - $ref: '#/components/schemas/IOwnerType'
            - type: 'null'
        id:
          anyOf:
            - type: string
              format: uuid
            - type: string
          title: Id
      type: object
      required:
        - owner_type
        - id
      title: IPromptRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````